slurm-jsonl2tfrecord.job: auto install dependencies

This commit is contained in:
Starbeamrainbowlabs 2022-08-08 16:31:49 +01:00
parent 1442d20524
commit 80e1a33ee2
Signed by: sbrl
GPG key ID: 1BE5172E637709C2

View file

@ -37,6 +37,10 @@ echo ">>> Settings";
echo "INPUT $INPUT";
echo ">>> Installing requirements";
cd ../aimodel || { echo "Error: Failed to cd to ai model directory"; exit 1; };
conda run -n py38 pip install -r requirements.txt;
cd ../rainfallwrangler || { echo "Error: Failed to cd back to rainfallwrangler directory"; exit 1; };
echo ">>> Converting dataset .jsonl.gz → .tfrecord.gz";
/usr/bin/env time -v src/index.mjs jsonl2tfrecord --verbose --source "${INPUT}" --target "${OUTPUT}";
echo ">>> exited with code $?";